"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStatSync = exports.getStat = exports.readFileSync = exports.readFile = void 0;
const CSpellIONode_js_1 = require("../CSpellIONode.js");
const index_js_1 = require("../errors/index.js");
const readFile = function (filename, encoding) {
    return (0, CSpellIONode_js_1.getDefaultCSpellIO)()
        .readFile(filename, encoding)
        .then((fr) => fr.content);
};
exports.readFile = readFile;
const readFileSync = function (filename, encoding) {
    return (0, CSpellIONode_js_1.getDefaultCSpellIO)().readFileSync(filename, encoding).content;
};
exports.readFileSync = readFileSync;
const getStat = function (filenameOrUri) {
    return (0, CSpellIONode_js_1.getDefaultCSpellIO)().getStat(filenameOrUri).catch(index_js_1.toError);
};
exports.getStat = getStat;
const getStatSync = function (filenameOrUri) {
    try {
        return (0, CSpellIONode_js_1.getDefaultCSpellIO)().getStatSync(filenameOrUri);
    }
    catch (e) {
        return (0, index_js_1.toError)(e);
    }
};
exports.getStatSync = getStatSync;
//# sourceMappingURL=file.js.map