"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FetchUrlError = void 0;
class FetchUrlError extends Error {
    constructor(message, code, status, url) {
        super(message);
        this.code = code;
        this.status = status;
        this.url = url;
        this.name = 'FetchUrlError';
    }
    static create(url, status, message) {
        if (status === 404)
            return new FetchUrlError(message || 'URL not found.', 'ENOENT', status, url);
        if (status >= 400 && status < 500)
            return new FetchUrlError(message || 'Permission denied.', 'EACCES', status, url);
        return new FetchUrlError(message || 'Fatal Error', 'ECONNREFUSED', status, url);
    }
}
exports.FetchUrlError = FetchUrlError;
//# sourceMappingURL=FetchError.js.map