"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchURL = exports.fetchHead = exports.fetch = void 0;
const node_fetch_1 = __importDefault(require("node-fetch"));
const FetchError_js_1 = require("./FetchError.js");
exports.fetch = node_fetch_1.default;
async function fetchHead(request) {
    const r = await (0, exports.fetch)(request, { method: 'HEAD' });
    return r.headers;
}
exports.fetchHead = fetchHead;
async function fetchURL(url) {
    const response = await (0, exports.fetch)(url);
    if (!response.ok) {
        throw FetchError_js_1.FetchUrlError.create(url, response.status);
    }
    return Buffer.from(await response.arrayBuffer());
}
exports.fetchURL = fetchURL;
//# sourceMappingURL=fetch.js.map