"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeToFileIterable = exports.writeToFile = void 0;
const fs = __importStar(require("fs"));
const Stream = __importStar(require("stream"));
const util_1 = require("util");
const zlib = __importStar(require("zlib"));
const transformers_js_1 = require("../../common/transformers.js");
const pipeline = (0, util_1.promisify)(Stream.pipeline);
function writeToFile(filename, data, encoding) {
    return writeToFileIterable(filename, typeof data === 'string' ? [data] : data, encoding);
}
exports.writeToFile = writeToFile;
function writeToFileIterable(filename, data, encoding) {
    const stream = Stream.Readable.from((0, transformers_js_1.encoderTransformer)(data, encoding));
    const zip = filename.match(/\.gz$/) ? zlib.createGzip() : new Stream.PassThrough();
    return pipeline(stream, zip, fs.createWriteStream(filename));
}
exports.writeToFileIterable = writeToFileIterable;
//# sourceMappingURL=fileWriter.js.map