/// <reference types="node" />
import { ServiceBus } from '@cspell/cspell-service-bus';
import type { CSpellIO } from './CSpellIO.mjs';
import type { TextFileResource } from './models/FileResource.mjs';
import type { Stats } from './models/Stats.mjs';
export declare class CSpellIONode implements CSpellIO {
    readonly serviceBus: ServiceBus;
    constructor(serviceBus?: ServiceBus);
    readFile(uriOrFilename: string | URL, encoding?: BufferEncoding): Promise<TextFileResource>;
    readFileSync(uriOrFilename: string | URL, encoding?: BufferEncoding): TextFileResource;
    writeFile(uriOrFilename: string | URL, content: string): Promise<void>;
    getStat(uriOrFilename: string | URL): Promise<Stats>;
    getStatSync(uriOrFilename: string | URL): Stats;
    compareStats(left: Stats, right: Stats): number;
    toURL(uriOrFilename: string | URL): URL;
    uriBasename(uriOrFilename: string | URL): string;
    uriDirname(uriOrFilename: string | URL): URL;
}
export declare function getDefaultCSpellIO(): CSpellIO;
//# sourceMappingURL=CSpellIONode.d.mts.map