import { getDefaultCSpellIO } from '../CSpellIONode.js';
import { toError } from '../errors/index.js';
export const readFile = function (filename, encoding) {
    return getDefaultCSpellIO()
        .readFile(filename, encoding)
        .then((fr) => fr.content);
};
export const readFileSync = function (filename, encoding) {
    return getDefaultCSpellIO().readFileSync(filename, encoding).content;
};
export const getStat = function (filenameOrUri) {
    return getDefaultCSpellIO().getStat(filenameOrUri).catch(toError);
};
export const getStatSync = function (filenameOrUri) {
    try {
        return getDefaultCSpellIO().getStatSync(filenameOrUri);
    }
    catch (e) {
        return toError(e);
    }
};
