import nodeFetch from 'node-fetch';
import { FetchUrlError } from './FetchError.js';
export const fetch = nodeFetch;
export async function fetchHead(request) {
    const r = await fetch(request, { method: 'HEAD' });
    return r.headers;
}
export async function fetchURL(url) {
    const response = await fetch(url);
    if (!response.ok) {
        throw FetchUrlError.create(url, response.status);
    }
    return Buffer.from(await response.arrayBuffer());
}
