import * as fs from 'fs';
import * as Stream from 'stream';
import { promisify } from 'util';
import * as zlib from 'zlib';
import { encoderTransformer } from '../../common/transformers.mjs';
const pipeline = promisify(Stream.pipeline);
export function writeToFile(filename, data, encoding) {
    return writeToFileIterable(filename, typeof data === 'string' ? [data] : data, encoding);
}
export function writeToFileIterable(filename, data, encoding) {
    const stream = Stream.Readable.from(encoderTransformer(data, encoding));
    const zip = filename.match(/\.gz$/) ? zlib.createGzip() : new Stream.PassThrough();
    return pipeline(stream, zip, fs.createWriteStream(filename));
}
